#
# spec file for package perl-WWW-Mechanize
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-WWW-Mechanize
Version:        1.75
Release:        2.5
%define cpan_name WWW-Mechanize
Summary:        Handy web browsing in a Perl object
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/WWW-Mechanize/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-CGI >= 4.08
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Form) >= 6
BuildRequires:  perl(HTML::HeadParser)
BuildRequires:  perl(HTML::Parser) >= 3.33
BuildRequires:  perl(HTML::TokeParser) >= 2.28
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(HTTP::Request) >= 1.3
BuildRequires:  perl(HTTP::Server::Simple) >= 0.35
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(LWP) >= 5.829
BuildRequires:  perl(LWP::UserAgent) >= 5.829
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(URI) >= 1.36
BuildRequires:  perl(URI::URL)
BuildRequires:  perl(URI::file)
Requires:       perl(CGI) >= 4.08
Requires:       perl(HTML::Form) >= 6
Requires:       perl(HTML::HeadParser)
Requires:       perl(HTML::Parser) >= 3.33
Requires:       perl(HTML::TokeParser) >= 2.28
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(HTTP::Daemon)
Requires:       perl(HTTP::Request) >= 1.3
Requires:       perl(HTTP::Server::Simple) >= 0.35
Requires:       perl(HTTP::Server::Simple::CGI)
Requires:       perl(HTTP::Status)
Requires:       perl(LWP) >= 5.829
Requires:       perl(LWP::UserAgent) >= 5.829
Requires:       perl(Test::Warn) >= 0.11
Requires:       perl(URI) >= 1.36
Requires:       perl(URI::URL)
Requires:       perl(URI::file)
%{perl_requires}

%description
Perl module for stateful programmatic web browsing, used for automating interaction with websites.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Wed Nov 18 2015 malcolmlewis@opensuse.org
- Change build requires from perl(CGI) to perl-CGI to fix
  failing builds.
- Add preamble perl-CGI in cpanspec.yml.
- Add more verbose description.
* Fri Aug 28 2015 coolo@suse.com
- updated to 1.75
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.75
  ========================================
  [OTHER CHANGES]
  - WWW::Mechanize::Image and WWW::Mechanize::Link now have a defined $VERSION
  - fixed warning about the use of the encoding pragma (new in 5.22) (RT#91971)
  - fixed warning about the use of CGI::param in list context (RT#103096)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.74
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.74        2015-01-23
  ========================================
  [OTHER CHANGES]
  - updated repository link in metadata
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.73
  [TESTS]
  - Update t/local/back.t to use LocalServer for 404 checking to avoid fails
  on win32. Fix by Matt S Trout, patient diagnostics and testing provided
  by jayefuu of freenode #perl
  - Blow away more proxy env vars in LocalServer, and do it on load so that
  the LWP env checking doesn't happen before we've done it.
  [OTHER CHANGES]
  - Better error when passing only one parameter to follow_link
* Sat Jun 15 2013 coolo@suse.com
- updated to 1.72
  [DEPENDENCIES]
  Bumped the HTML::Form dependency to fix failures on CentOS 5
  [ENHANCEMENTS]
  Recognise application/xhtml+xml as HTML.
  [DOCUMENTATION]
  Improved docs about support of JavaScript
  Typo fixes.
  [TESTS]
  Updated tests as oops-music.com is in utf-8 now
* Mon Sep 19 2011 coolo@suse.com
- updated to 1.70
  [ENHANCEMENTS]
  Mech now defaults to _not_ running live tests by default.
  You can still enable them by running "perl Makefile.PL --live"
  Thanks to RJBS for the suggestion
  [INTERNALS]
  The test suite for the local tests was updated
* Fri Apr 22 2011 jw@novell.com
- update to 1.68: dependencies fixed, test suite enhanced
* Wed Mar 30 2011 coolo@novell.com
- extent build requires
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fixed deps
- changelog to changes file
- noarch pkg
* Sun Sep 12 2010 jw@novell.com
- update to 1.66
  * New $mech->text method returns the text from your HTML page.  The exact
    rendering of this text is simply removing all the HTML tags, but this will
    change. It's pretty ugly.  If anyone wants to work on a better-looking text
    dump, I'd love to see it.
  * Added mech-dump --text.
  * Improvements to the docs explaining explicitly about the subclassed
    methods we inherit from LWP::UserAgent.
* Fri Jul  2 2010 jw@novell.com
- update to 0.64,
  Parsing of forms has been delayed until they're actually needed.
  If don't use forms on a page, you'll no longer waste time and memory
  parsing them.
  $mech->title now caches the title of the page after parsing the
  page to find it.
  mech-dump now takes a --cookie-file parameter for keeping cookies
  between calls.
  $mech->form_name() and $mech->form_number() no longer throw warnings
  if they can't find the form specified.  They still return undef,
  though.
  More additions to the FAQ.
* Thu Oct 29 2009 jw@suse.de
- update to 0.60
* Fri Dec 19 2008 coolo@suse.de
- Update to 1.52
* Wed Jun 21 2006 jfunk@funktronics.ca
- Update to 1.18
* Fri Nov 11 2005 jfunk@funktronics.ca
- Update to 1.16
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update to 1.12
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Initial release 1.04
